activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher.Mathru...@sybase.com
Subject RE: ActiveMQ with Sybase for persistence
Date Tue, 13 Mar 2007 19:09:32 GMT
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=Content-Type content="text/html; charset=us-ascii" inline 
Content-Disposition: format="flowed" plain; text Content-Type: 7bit 
Content-Transfer-Encoding:>
<META content="MSHTML 6.00.6000.16414" name=GENERATOR></HEAD>
<BODY>
<DIV dir=ltr align=left><SPAN class=605150719-13032007><FONT face=Arial 
color=#0000ff size=2>Looks like I still have problems. I downloaded the 4.2 that 
you sent me the link to (thank you) and I configured it for my data source. The 
problem is that my ASE is actually 12.0.0.8 and not 12.5. The SELECT WITH XLOCK 
raises an error. ASE complains about the WITH syntax. </FONT></SPAN></DIV>
<DIV dir=ltr align=left><SPAN class=605150719-13032007><FONT face=Arial 
color=#0000ff size=2></FONT></SPAN>&nbsp;</DIV>
<DIV dir=ltr align=left><SPAN class=605150719-13032007><FONT face=Arial 
color=#0000ff size=2>Any suggestions as to a work around or am I simply boned 
for working with this version of ASE?</FONT></SPAN></DIV>
<DIV dir=ltr align=left><SPAN class=605150719-13032007><FONT face=Arial 
color=#0000ff size=2></FONT></SPAN>&nbsp;</DIV>
<DIV dir=ltr align=left><SPAN class=605150719-13032007><FONT face=Arial 
color=#0000ff size=2>Thanks...</FONT></SPAN></DIV><BR>
<DIV class=OutlookMessageHeader lang=en-us dir=ltr align=left>
<HR tabIndex=-1>
<FONT face=Tahoma size=2><B>From:</B> "James Strachan" 
&lt;james.strachan@gmail.com&gt; [mailto:"James Strachan" 
&lt;james.strachan@gmail.com&gt;] <BR><B>Sent:</B> Tuesday, March
13, 2007 8:21 
AM<BR><B>To:</B> "Christopher.Mathrusse<BR><B>Cc:</B>

users@activemq.apache.org<BR><B>Subject:</B> Re: ActiveMQ with Sybase for

persistence<BR></FONT><BR></DIV>
<DIV></DIV>On 3/13/07, Christopher.Mathrusse@sybase.com 
<BR><CHRISTOPHER.MATHRUSSE@SYBASE.COM>wrote: <BR>&gt; I looked over
the examples 
and did not find one for Sybase. I did get the <BR>&gt; datasource configured 
and I can connect without any issues, but when <BR>&gt; ActiveMQ starts it 
performs a SELECT FOR UPDATE which causes an exception. <BR>&gt; I'll try the 
useDatabaseLock=false and see if it resolves it, but what are <BR>&gt; the 
ramifications if I do this? <BR><BR>That you cannot use JDBC Master/Slave and

that there is a risk someone <BR>will start 2 brokers on the same database 
(which can cause problems). <BR><BR><BR>&gt; The row will not be locked
so will 
there be <BR>&gt; contention? <BR>&gt; <BR>&gt; I just downloaded
the 4.1.2 
build. <BR><BR>Which one? We've a 4.1-SNAPSHOT and 4.2-SNAPSHOT 
<BR>http://people.apache.org/repo/m2-snapshot-repository/org/apache/activemq/apache-activemq/

<BR><BR>(make sure you choose a recent one - near the bottom of those pages) 
<BR><BR><BR>&gt; I haven't retrieved the latest source. Is <BR>&gt;
it stable 
enough to work in a production environment? <BR><BR>Yes. <BR><BR><BR>--

<BR><BR>James <BR>------- <BR>http://radio.weblogs.com/0112098/ 
<BR><BR></BODY></HTML>


Mime
View raw message